xclade
Admin APISales channels

List Sales Channels

Retrieve a list of sales channels. The sales channels can be filtered by fields such as `id`. The sales channels can also be sorted or paginated.

GET
/admin/sales-channels
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

offset?number

The number of items to skip when retrieving a list.

limit?number

Limit the number of items returned in the list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

q?string

Search term to filter the sales channel's searchable properties.

id?id|
name?name|
description?string

The sales channel's description.

is_disabled?boolean

Filter by whether the sales channel is disabled.

created_at?

Filter by a sales channel's creation date.

updated_at?

Filter by a sales channel's update date.

deleted_at?

Filter by a sales channel's deletion date.

location_id?location_id|
publishable_key_id?publishable_key_id|
$and?

Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.

$or?

Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.

with_deleted?boolean

Whether to include deleted records in the result.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/sales-channels"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "sales_channels": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "is_disabled": true,
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ]
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}